Skip to main content
PUT
/
environments
/
{org}
/
{env_name}
/
report
/
azure-apps
Report Azure Web and Function Apps environment
curl --request PUT \
  --url https://app.kosli.com/api/v2/environments/{org}/{env_name}/report/azure-apps \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "artifacts": [
    {
      "digests": {},
      "digests_source": "acr",
      "app_name": "<string>",
      "app_kind": "<string>",
      "creationTimestamp": 123
    }
  ],
  "type": "azure-apps"
}
'
{
  "message": "<string>",
  "errors": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

env_name
string
required
org
string
required

Body

application/json

Azure Web and Function Apps report containing artifacts

artifacts
AzureAppsArtifact · object[]
required

all artifacts in the report

type
string
default:azure-apps

Environment type

Allowed value: "azure-apps"

Response

Report processed successfully, no new snapshots to create

Last modified on April 9, 2026